/*MDS_MNGD_ACT_NEW*/
USE COWS
GO
Insert into MDS_MNGD_ACT_NEW
	(
		REQ_ID
		,EVENT_ID
		,SLCTD_CD
		,RDSN_NBR
		,ODIE_DEV_NME
		,DEV_MODEL_ID
		,MANF_ID
		,FRWL_PROD_CD
		,INTL_CTRY_CD
		,PHN_NBR
		,FAST_TRK_CD
		,OPT_OUT_CD
		--,OPT_OUT_REAS_TXT
		--,BUS_JUSTN_TXT
		,SRVC_ASSRN_SITE_SUPP_ID
		,CREAT_DT
		,RSPN_INFO_DT
	)
 
Select	DISTINCT REQ_ID
		,mngdACT.EVENT_ID
		,mngdACT.SLCTD_CD
		,mngdACT.RDSN_NBR
		,mngdDEV.DEV_NME AS  ODIE_DEV_NME 
		,Convert(Varchar,mngdDEV.DEV_MODEL_ID) AS DEV_MODEL_ID
		,Convert(Varchar,mngdDEV.MANF_ID) AS MANF_ID
		,mngdACT.FRWL_PROD_CD
		,'' AS INTL_CTRY_CD 
		,SUBSTRING(ISNULL(mngdACT.ONE_MB_TXT,''),1,20) AS PHN_NBR
		,mngdACT.FAST_TRK_CD
		,mngdACT.OPT_OUT_CD
		--,mngdACT.OPT_OUT_REAS_TXT
		--,mngdACT.BUS_JUSTN_TXT
		,fmds.SRVC_ASSRN_SITE_SUPP_ID
		,fmds.CREAT_DT  
		,mngdACT.RSPN_INFO_DT
	From	dbo.FSA_MDS_EVENT fmds WITH (NOLOCK)
Inner Join	dbo.MDS_EVENT_MNGD_DEV mngdDEV WITH (NOLOCK) ON mngdDEV.FSA_MDS_EVENT_ID = fmds.FSA_MDS_EVENT_ID
Inner Join	dbo.MDS_MNGD_ACT mngdACT WITH (NOLOCK) ON mngdACT.EVENT_ID = fmds.EVENT_ID
	Where	ISNULL(mngdDEV.DEV_NME,'') != ''
		AND	mngdACT.DEV_ID = mngdDEV.DEV_NME
		
		
		


